
Application: gvSIG desktop - gvSIG bugs #5218
Excel y CSV no distingue el separador de decimales
04/13/2020 04:46 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.5.1-3016
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Añado un CSV que utilizamos frecuentemente en EPSG 25830, pero ocurre con cualquier EXCEL o CSV con los que he probado.
Hasta ahora interpretaba bien los decimales, ahora añade todo como la parte "entera" y los decimales son todos "00000..." 
Se comprueba añadiendo el CSV a cualquier vista y abriendo su tabla, y abriendo ese mismo CSV con LibreOffice (que lo lee bien en
cuanto a decimales se refiere).

Adjunto logs por si aportan algo de info.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5222: Exportar CSV a DBF... Closed 04/17/2020

Associated revisions
Revision 44894 - 04/14/2020 10:11 PM - Óscar Martínez

refs #5218 El locale se le asigna al atribute descriptor para gestionar los decimales correctamente

History
#1 - 04/14/2020 08:36 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3015

#2 - 04/14/2020 10:12 PM - Óscar Martínez
- Status changed from New to Fixed

#3 - 04/16/2020 01:51 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#4 - 04/17/2020 01:10 PM - Álvaro Anguix
- Target version changed from 2.5.1-3015 to 2.5.1-3044
- Status changed from Closed to New
- File incendiosBLP.xls added
- File incendiosBLP.csv added

Reabro el ticket. Con el CSV de levantamiento añadido funciona bien pero al probar otro CSV y XLS me vuelve a pasar lo mismo.
Adjunto los mismos datos tanto en CSV y XLS (incendiosBLP). 
Para comprobarlo basta con añadirlos como tablas a un proyecto de gvSIG (no interpreta los decimales) y con LibreOffice (que lo hace bien)

#5 - 04/18/2020 10:24 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3016

#6 - 04/19/2020 12:34 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#7 - 04/19/2020 12:35 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #5222: Exportar CSV a DBF genera tabla vacía added

#8 - 04/19/2020 12:42 PM - Joaquín  del Cerro Murciano
A mi me carga bien los csv.
Es posible que tenga que ver con los cambios del tiquet #5222.
Lo unico que:
    -  "coords_levantamiento_con_aceras.csv" esta usando coma como separador de decimales, y me los ha reconocido con la opcion por defecto de
"idioma", "español".
    -  "incenciosBLP.csv" esta usando como separador de decimales el punto, y he tenido que indicarle como idioma el ingles.

#9 - 04/19/2020 11:41 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Sí, ahora lee bien los CSV

Files
coords_levantamiento_con_aceras.csv 5.31 KB 04/13/2020 Álvaro Anguix
gvSIG.log 13.8 KB 04/13/2020 Álvaro Anguix
gvSIG.log.1 512 KB 04/13/2020 Álvaro Anguix
gvSIG.log.2 512 KB 04/13/2020 Álvaro Anguix
gvSIG.log.3 512 KB 04/13/2020 Álvaro Anguix
incendiosBLP.csv 8.83 KB 04/17/2020 Álvaro Anguix
incendiosBLP.xls 38 KB 04/17/2020 Álvaro Anguix
